<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>G-CTMQC: tools Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">G-CTMQC
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacetools.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">tools Module Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Numerical tools for initialization and finalization of the dynamically-allocated vectors, along with initialization of random numbers generators.  
<a href="namespacetools.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a4b9108e3805bcce9a45fa4557c0322b6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetools.html#a4b9108e3805bcce9a45fa4557c0322b6">initialize_dynamics_vars</a></td></tr>
<tr class="memdesc:a4b9108e3805bcce9a45fa4557c0322b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialization of dynamics variables.  <a href="namespacetools.html#a4b9108e3805bcce9a45fa4557c0322b6">More...</a><br /></td></tr>
<tr class="separator:a4b9108e3805bcce9a45fa4557c0322b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7335914dc8a02a5ac7b2786d96263cd"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetools.html#ae7335914dc8a02a5ac7b2786d96263cd">initialize_trajectory_vars</a></td></tr>
<tr class="memdesc:ae7335914dc8a02a5ac7b2786d96263cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialization of trajectory variables.  <a href="namespacetools.html#ae7335914dc8a02a5ac7b2786d96263cd">More...</a><br /></td></tr>
<tr class="separator:ae7335914dc8a02a5ac7b2786d96263cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344621a80584ed041d6abf32851fbb3c"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetools.html#a344621a80584ed041d6abf32851fbb3c">finalize</a></td></tr>
<tr class="memdesc:a344621a80584ed041d6abf32851fbb3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deallocation of dynamically-allocayed arrays.  <a href="namespacetools.html#a344621a80584ed041d6abf32851fbb3c">More...</a><br /></td></tr>
<tr class="separator:a344621a80584ed041d6abf32851fbb3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36383c074ddfd2d1ad7a4deedd095d31"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetools.html#a36383c074ddfd2d1ad7a4deedd095d31">generate_random_seed</a></td></tr>
<tr class="memdesc:a36383c074ddfd2d1ad7a4deedd095d31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inizialization of random number generator for the initial conditions.  <a href="namespacetools.html#a36383c074ddfd2d1ad7a4deedd095d31">More...</a><br /></td></tr>
<tr class="separator:a36383c074ddfd2d1ad7a4deedd095d31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0f1f6549316781a94605e9cdbac3b7f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacetools.html#aa0f1f6549316781a94605e9cdbac3b7f">generate_random_seed_hop</a></td></tr>
<tr class="memdesc:aa0f1f6549316781a94605e9cdbac3b7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inizialization of random number generator for the trajectory hops.  <a href="namespacetools.html#aa0f1f6549316781a94605e9cdbac3b7f">More...</a><br /></td></tr>
<tr class="separator:aa0f1f6549316781a94605e9cdbac3b7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Numerical tools for initialization and finalization of the dynamically-allocated vectors, along with initialization of random numbers generators. </p>
<dl class="section author"><dt>Author</dt><dd>Federica Agostini, Institut de Chimie Physique, University Paris-Saclay. </dd></dl>
</div><h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a344621a80584ed041d6abf32851fbb3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a344621a80584ed041d6abf32851fbb3c">&#9670;&nbsp;</a></span>finalize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine tools::finalize</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Deallocation of dynamically-allocayed arrays. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">check</td><td>control factor for deallocation errors </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="tools_8f90_source.html#l00137">137</a> of file <a class="el" href="tools_8f90_source.html">tools.f90</a>.</p>

</div>
</div>
<a id="a36383c074ddfd2d1ad7a4deedd095d31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36383c074ddfd2d1ad7a4deedd095d31">&#9670;&nbsp;</a></span>generate_random_seed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine tools::generate_random_seed</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Inizialization of random number generator for the initial conditions. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">seed</td><td>seed for the random number generator </td></tr>
    <tr><td class="paramname">n,i</td><td>integer indices </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="tools_8f90_source.html#l00204">204</a> of file <a class="el" href="tools_8f90_source.html">tools.f90</a>.</p>

</div>
</div>
<a id="aa0f1f6549316781a94605e9cdbac3b7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0f1f6549316781a94605e9cdbac3b7f">&#9670;&nbsp;</a></span>generate_random_seed_hop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine tools::generate_random_seed_hop</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Inizialization of random number generator for the trajectory hops. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">seed</td><td>seed for the random number generator </td></tr>
    <tr><td class="paramname">n,i</td><td>integer indices </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="tools_8f90_source.html#l00234">234</a> of file <a class="el" href="tools_8f90_source.html">tools.f90</a>.</p>

</div>
</div>
<a id="a4b9108e3805bcce9a45fa4557c0322b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b9108e3805bcce9a45fa4557c0322b6">&#9670;&nbsp;</a></span>initialize_dynamics_vars()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine tools::initialize_dynamics_vars</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialization of dynamics variables. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">check</td><td>control factor for allocation errors </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="tools_8f90_source.html#l00037">37</a> of file <a class="el" href="tools_8f90_source.html">tools.f90</a>.</p>

</div>
</div>
<a id="ae7335914dc8a02a5ac7b2786d96263cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7335914dc8a02a5ac7b2786d96263cd">&#9670;&nbsp;</a></span>initialize_trajectory_vars()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine tools::initialize_trajectory_vars</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialization of trajectory variables. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">check</td><td>control factor for allocation errors </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="tools_8f90_source.html#l00061">61</a> of file <a class="el" href="tools_8f90_source.html">tools.f90</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetools.html">tools</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
